module Pod
  class Command
    class Jyanalyzer < Command
      
      require 'cocoapods-jyanalyzer/command/jyanalyzer/app'
      require 'cocoapods-jyanalyzer/command/jyanalyzer/recursion'
      require 'cocoapods-jyanalyzer/command/jyanalyzer/depend'
      require 'cocoapods-jyanalyzer/command/jyanalyzer/component'
      require 'cocoapods-jyanalyzer/command/jyanalyzer/list'
      
      self.abstract_command = true
      self.default_subcommand = 'app'
      self.summary = '哈啰pod依赖分析'

      self.description = <<-DESC
        哈啰pod依赖分析:recursion、app 、component 这是给服务端用的，请勿使用
        
        本地使用 depend 命令获取完整依赖关系，list获取pod 依赖的库名列表
      DESC
    end
  end
end
